=== debian/changelog ===
deepin-anything (7.0.22) unstable; urgency=medium

  * feat: Adapt to V20
  * fix: Fix index updates not saved after a timeout

 -- wangrong <wangrong@uniontech.com>  Tue, 24 Jun 2025 19:21:09 +0800

deepin-anything (7.0.21) unstable; urgency=medium

  * fix: Fix anything repeatedly restart when shutdown

 -- wangrong <wangrong@uniontech.com>  Sat, 21 Jun 2025 23:38:08 +0800

deepin-anything (7.0.20) unstable; urgency=medium

  * feat: Add configurable index commit timeouts
  * chore: Remove deepin-anything-dkms dependency
  * fix: Fix anything repeatedly restart when shutdown
  * feat: Add wildcard search functionality
  * fix: Improve blacklist path checking logic

 -- wangrong <wangrong@uniontech.com>  Thu, 19 Jun 2025 13:40:32 +0800

deepin-anything (7.0.19) unstable; urgency=medium

  * feat: Adapt kernel module for LOONGARCH architecture
  * feat: Optimize recoginizing ARM
  * feat: add support for s360x, ppc64le and riscv
  * feat: Not compile kernel module when in-tree ones already exist
  * feat: Add support for SW64 architecture in argument extraction
  * fix: Fix kernel Oops on SW64

 -- wangrong <wangrong@uniontech.com>  Thu, 29 May 2025 21:22:31 +0800

deepin-anything (7.0.18) unstable; urgency=medium

  * fix: Fix fail to update index for dir rename

 -- wangrong <wangrong@uniontech.com>  Fri, 23 May 2025 16:58:37 +0800

deepin-anything (7.0.17) unstable; urgency=medium

  * fix: Fix scan "/" crash

 -- wangrong <wangrong@uniontech.com>  Thu, 22 May 2025 16:24:31 +0800

deepin-anything (7.0.16) unstable; urgency=medium

  * fix: Enhance error handling in file index management
  * refactor: Remove unused index change filter functionality
  * refactor: Remove QStringList and QString
  * fix: Fix incorrect index traversal in the specified directory
  * feat: Check index corrupted in runtime
  * refactor: Using separate thread for event handling
  * feat: Set the maximum socket receive buffer size
  * fix: Improve event listening error handling

 -- wangrong <wangrong@uniontech.com>  Thu, 22 May 2025 11:22:31 +0800

deepin-anything (7.0.15) unstable; urgency=medium

  * fix: Improve filesystem existence checks with error handling
  * refactor: Improve event path conflict detection
  * fix: Continue receiving events after fail

 -- wangrong <wangrong@uniontech.com>  Fri, 16 May 2025 16:50:56 +0800
