=== examples/deepin-anything-monitor/debian/changelog ===
deepin-anything-monitor (0.0.1) unstable; urgency=medium

  * Initial release.

 -- Kingtous <me@kingtous.cn>  Tue, 27 Dec 2022 10:47:30 +0800
