=== src/server/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
     DESCRIPTION "A file search engine"
     LANGUAGES CXX
 )
+
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # ---------------------------------------------------------------------------------------
 # Parse version from debian/changelog
