=== debian/changelog ===
deepin-anything (7.0.24) unstable; urgency=medium

  * refactor: Use marker file to handle invalid index
  * refactor: Improve error handling and restart mechanism
  * feat: Implement deepin-anything logger service

 -- wangrong <wangrong@uniontech.com>  Thu, 31 Jul 2025 10:18:01 +0800
