=== config/CMakeLists.txt ===

install(FILES pinyin.txt DESTINATION share/deepin-anything-server)
