=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 add_compile_options(-Wall -Wextra -pedantic -Werror)
 
+add_subdirectory("daemon")
 add_subdirectory("server")
 add_subdirectory("kernelmod")
 add_subdirectory("searcher")
