=== debian/changelog ===
deepin-anything (7.0.31) unstable; urgency=medium

  * fix: Fix deepin-anything-daemon coredump

 -- wangrong <wangrong@uniontech.com>  Thu, 23 Oct 2025 14:27:25 +0800

deepin-anything (7.0.30) unstable; urgency=medium

  * fix: Fix daemon is always in loading state

 -- wangrong <wangrong@uniontech.com>  Fri, 10 Oct 2025 14:57:21 +0800

deepin-anything (7.0.29) unstable; urgency=medium

  * refactor: Rework the initial index scanning mechanism

 -- wangrong <wangrong@uniontech.com>  Tue, 16 Sep 2025 14:55:52 +0800

deepin-anything (7.0.28) unstable; urgency=medium

  * update version to 7.0.28

 -- wangrong <wangrong@uniontech.com>  Thu, 11 Sep 2025 20:30:53 +0800

deepin-anything (7.0.27) unstable; urgency=medium

  * fix: Fix deepin-anything-daemon core dump for uninitialized index_status_

 -- wangrong <wangrong@uniontech.com>  Thu, 04 Sep 2025 16:48:50 +0800

deepin-anything (7.0.26) unstable; urgency=medium

  * feat: Add pinyin acronym to file index
  * feat: Refactor VFS unnamed device file handling
  * feat: Update pinyin processing and indexing
  * fix: Fix fail to create symbolic links for index entry point

 -- wangrong <wangrong@uniontech.com>  Tue, 02 Sep 2025 18:48:01 +0800

deepin-anything (7.0.25) unstable; urgency=medium

  * refactor: Update installation paths for deepin-anything services
  * fix: Fix insufficient index storage space
  * refactor: Remove deepin-anything server and related service files
  * refactor: Adjust project structure
  * feat: Add deepin-anything-server service
  * refactor: Allow handle file events from all devices
  * feat: Adapt to long file name system
  * feat: Add formatted modify time field to file records
  * feat: Ensure .cache in blacklist
  * feat: Enhance mount chain validation logic

 -- wangrong <wangrong@uniontech.com>  Tue, 26 Aug 2025 21:10:14 +0800
